train failed deploy setup_openstack.yaml

Bug #1872169 reported by hashem on 2020-04-11
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
openstack-ansible
Undecided
Unassigned

Bug Description

Hello,

In my environment, I have 5 servers and I want to install OpenStack train through Ansible. I am configuring 3 Nodes as Controller Nodes 1 & 2 & 3 with HAProxy and VIP for the internal network. I Have config files openstack_user_config.yml and user_variables.yml carefully.
at the end of setup_openstack.yaml in utility container, this error occurs.
previous YAML files setup completely.

Has anybody come across something similar or knows how to solve this error?

TASK [python_venv_build : Upgrade pip/setuptools/wheel to the versions we want] *********************************************************************
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (5 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (5 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (5 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (4 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (4 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (4 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (3 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (3 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (3 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (2 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (2 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (2 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (1 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (1 retries left).
FAILED - RETRYING: Upgrade pip/setuptools/wheel to the versions we want (1 retries left).
fatal: [infra1_utility_container-ec66b2a9]: FAILED! => {"attempts": 5, "changed": false, "cmd": ["/openstack/venvs/rally-20.1.1.dev1/bin/pip", "install", "-U", "--constraint", "/openstack/venvs/rally-20.1.1.dev1/global-constraints.txt", "--constraint", "/openstack/venvs/rally-20.1.1.dev1/constraints.txt", "--log", "/var/log/python_venv_build.log", "--find-links", "http://localhost/os-releases/20.1.1.dev1/ubuntu-18.04-x86_64", "--trusted-host", "localhost", "pip", "setuptools", "wheel"], "msg": "stdout: Collecting pip==19.3 (from -c /openstack/venvs/rally-20.1.1.dev1/global-constraints.txt (line 2))\n\n:stderr: Ignoring argparse: markers 'python_version == \"2.7\"' don't match your environment\nIgnoring rally-openstack: markers 'python_version == \"2.7\"' don't match your environment\n Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f74848949e8>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f7484983438>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f7484983c18>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f7484878320>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f74848784e0>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\nException:\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connection.py\", line 141, in _new_conn\n (self.host, self.port), self.timeout, **extra_kw)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/util/connection.py\", line 83, in create_connection\n raise err\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/util/connection.py\", line 73, in create_connection\n sock.connect(sa)\nConnectionRefusedError: [Errno 111] Connection refused\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 601, in urlopen\n chunked=chunked)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 357, in _make_request\n conn.request(method, url, **httplib_request_kw)\n File \"/usr/lib/python3.6/http/client.py\", line 1254, in request\n self._send_request(method, url, body, headers, encode_chunked)\n File \"/usr/lib/python3.6/http/client.py\", line 1300, in _send_request\n self.endheaders(body, encode_chunked=encode_chunked)\n File \"/usr/lib/python3.6/http/client.py\", line 1249, in endheaders\n self._send_output(message_body, encode_chunked=encode_chunked)\n File \"/usr/lib/python3.6/http/client.py\", line 1036, in _send_output\n self.send(msg)\n File \"/usr/lib/python3.6/http/client.py\", line 974, in send\n self.connect()\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3
-none-any.whl/urllib3/connection.py\", line 166, in connect\n conn = self._new_conn()\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connection.py\", line 150, in _new_conn\n self, \"Failed to establish a new connection: %s\" % e)\nurllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f7484878780>: Failed to establish a new connection: [Errno 111] Connection refused\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/adapters.py\", line 440, in send\n timeout=timeout\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 668, in urlopen\n **response_kw)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 668, in urlopen\n **response_kw)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 668, in urlopen\n **response_kw)\n [Previous line repeated 2 more times]\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 639, in urlopen\n _stacktrace=sys.exc_info()[2])\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/util/retry.py\", line 388, in increment\n raise MaxRetryError(_pool, url, error or ResponseError(cause))\nurllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='localhost', port=80): Max retries exceeded with url: /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f7484878780>: Failed to establish a new connection: [Errno 111] Connection refused',))\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/basecommand.py\", line 215, in main\n status = self.run(options, args)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/commands/install.py\", line 353, in run\n wb.build(autobuilding=True)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/wheel.py\", line 749, in build\n self.requirement_set.prepare_files(self.finder)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/req/req_set.py\", line 380, in prepare_files\n ignore_dependencies=self.ignore_dependencies))\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/req/req_set.py\", line 554, in _prepare_file\n require_hashes\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/req/req_install.py\", line 278, in populate_link\n self.link = finder.find_requirement(self, upgrade)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 465, in find_requirement\n all_candidates = self.find_all_candidates(req.name)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 423, in find_all_candidates\n for page in self._get_pages(url_locations, project_name):\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 568, in _get_pages\n page = self._get_page(location)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 683, in _get_page\n return HTMLPage.get_page(link, session=self.session)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 792, in get_page\n \"Cache-Control\": \"max-age=600\",\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/sessions.py\", line 533, in get\n return self.request('GET', url, **kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/download.py\", line 386, in request\n return super(PipSession, self).request(method, url, *args, **kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/sessions.py\", line 520, in request\n resp = self.send(prep, **send_kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/sessions.py\", line 630, in send\n r = adapter.send(request, **kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/adapters.py\", line 508, in send\n raise ConnectionError(e, request=request)\npip._vendor.requests.exceptions.ConnectionError: HTTPConnectionPool(host='localhost', port=80): Max retries exceeded with url: /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f7484878780>: Failed to establish a new connection: [Errno 111] Connection refused',))\n"}
fatal: [infra2_utility_container-f893f7cd]: FAILED! => {"attempts": 5, "changed": false, "cmd": ["/openstack/venvs/rally-20.1.1.dev1/bin/pip", "install", "-U", "--constraint", "/openstack/venvs/rally-20.1.1.dev1/global-constraints.txt", "--constraint", "/openstack/venvs/rally-20.1.1.dev1/constraints.txt", "--log", "/var/log/python_venv_build.log", "--find-links", "http://localhost/os-releases/20.1.1.dev1/ubuntu-18.04-x86_64", "--trusted-host", "localhost", "pip", "setuptools", "wheel"], "msg": "stdout: Collecting pip==19.3 (from -c /openstack/venvs/rally-20.1.1.dev1/global-constraints.txt (line 2))\n\n:stderr: Ignoring argparse: markers 'python_version == \"2.7\"' don't match your environment\nIgnoring rally-openstack: markers 'python_version == \"2.7\"' don't match your environment\n Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6666c8e780>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6666c8eb38>: Failed to establish a new connection: [Errno
 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6666d927b8>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6666d8c5c0>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6666d8cbe0>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\nException:\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connection.py\", line 141, in _new_conn\n (self.host, self.port), self.timeout, **extra_kw)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/util/connection.py\", line 83, in create_connection\n raise err\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/util/connection.py\", line 73, in create_connection\n sock.connect(sa)\nConnectionRefusedError: [Errno 111] Connection refused\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 601, in urlopen\n chunked=chunked)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 357, in _make_request\n conn.request(method, url, **httplib_request_kw)\n File \"/usr/lib/python3.6/http/client.py\", line 1254, in request\n self._send_request(method, url, body, headers, encode_chunked)\n File \"/usr/lib/python3.6/http/client.py\", line 1300, in _send_request\n self.endheaders(body, encode_chunked=encode_chunked)\n File \"/usr/lib/python3.6/http/client.py\", line 1249, in endheaders\n self._send_output(message_body, encode_chunked=encode_chunked)\n File \"/usr/lib/python3.6/http/client.py\", line 1036, in _send_output\n self.send(msg)\n File \"/usr/lib/python3.6/http/client.py\", line 974, in send\n self.connect()\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connection.py\", line 166, in connect\n conn = self._new_conn()\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connection.py\", line 150, in _new_conn\n self, \"Failed to establish a new connection: %s\" % e)\nurllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f6666d8c8d0>: Failed to establish a new connection: [Errno 111] Connection refused\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/adapters.py\", line 440, in send\n timeout=timeout\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 668, in urlopen\n **response_kw)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 668, in urlopen\n **response_kw)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 668, in urlopen\n **response_kw)\n [Previous line repeated 2 more times]\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 639, in urlopen\n _stacktrace=sys.exc_info()[2])\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/util/retry.py\", line 388, in increment\n raise MaxRetryError(_pool, url, error or ResponseError(cause))\nurllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='localhost', port=80): Max retries exceeded with url: /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6666d8c8d0>: Failed to establish a new connection: [Errno 111] Connection refused',))\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/basecommand.py\", line 215, in main\n status = self.run(options, args)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/commands/install.py\", line 353, in run\n wb.build(autobuilding=True)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/wheel.py\", line 749, in build\n self.requirement_set.prepare_files(self.finder)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/req/req_set.py\", line 380, in prepare_files\n ignore_dependencies=self.ignore_dependencies))\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/req/req_set.py\", line 554, in _prepare_file\n require_hashes\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/req/req_install.py\", line 278, in populate_link\n self.link = finder.find_requirement(self, upgrade)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 465, in find_requirement\n all_candidates = self.find_all_candidates(req.name)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 423, in find_all_candidates\n for page in self._get_pages(url_locations, project_name):\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 568, in _get_pages\n page = self._get_page(location)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 683, in _get_page\n return HTMLPag
 e.get_page(link, session=self.session)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 792, in get_page\n \"Cache-Control\": \"max-age=600\",\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/sessions.py\", line 533, in get\n return self.request('GET', url, **kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/download.py\", line 386, in request\n return super(PipSession, self).request(method, url, *args, **kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/sessions.py\", line 520, in request\n resp = self.send(prep, **send_kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/sessions.py\", line 630, in send\n r = adapter.send(request, **kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/adapters.py\", line 508, in send\n raise ConnectionError(e, request=request)\npip._vendor.requests.exceptions.ConnectionError: HTTPConnectionPool(host='localhost', port=80): Max retries exceeded with url: /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6666d8c8d0>: Failed to establish a new connection: [Errno 111] Connection refused',))\n"}
fatal: [infra3_utility_container-c611b756]: FAILED! => {"attempts": 5, "changed": false, "cmd": ["/openstack/venvs/rally-20.1.1.dev1/bin/pip", "install", "-U", "--constraint", "/openstack/venvs/rally-20.1.1.dev1/global-constraints.txt", "--constraint", "/openstack/venvs/rally-20.1.1.dev1/constraints.txt", "--log", "/var/log/python_venv_build.log", "--find-links", "http://localhost/os-releases/20.1.1.dev1/ubuntu-18.04-x86_64", "--trusted-host", "localhost", "pip", "setuptools", "wheel"], "msg": "stdout: Collecting pip==19.3 (from -c /openstack/venvs/rally-20.1.1.dev1/global-constraints.txt (line 2))\n\n:stderr: Ignoring argparse: markers 'python_version == \"2.7\"' don't match your environment\nIgnoring rally-openstack: markers 'python_version == \"2.7\"' don't match your environment\n Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff8d2a51940>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff8d2a51860>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff8d2b507b8>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff8d2b50710>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\n Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff8d2b50c50>: Failed to establish a new connection: [Errno 111] Connection refused',)': /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64\nException:\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connection.py\", line 141, in _new_conn\n (self.host, self.port), self.timeout, **extra_kw)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/util/connection.py\", line 83, in create_connection\n raise err\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/util/connection.py\", line 73, in create_connection\n sock.connect(sa)\nConnectionRefusedError: [Errno 111] Connection refused\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 601, in urlopen\n chunked=chunked)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 357, in _make_request\n conn.request(method, url, **httplib_request_kw)\n File \"/usr/lib/python3.6/http/client.py\", line 1254, in request\n self._send_request(method, url, body, headers, encode_chunked)\n File \"/usr/lib/python3.6/http/client.py\", line 1300, in _send_request\n self.endheaders(body, encode_chunked=encode_chunked)\n File \"/usr/lib/python3.6/http/client.py\", line 1249, in endheaders\n self._send_output(message_body, encode_chunked=encode_chunked)\n File \"/usr/lib/python3.6/http/client.py\", line 1036, in _send_output\n self.send(msg)\n File \"/usr/lib/python3.6/http/client.py\", line 974, in send\n self.connect()\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connection.py\", line 166, in connect\n conn = self._new_conn()\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connection.py\", line 150, in _new_conn\n self, \"Failed to establish a new connection: %s\" % e)\nurllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7ff8d2b552e8>: Failed to establish a new connection: [Errno 111] Connection refused\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/adapters.py\", line 440, in send\n timeout=timeout\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 668, in urlopen\n
  **response_kw)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 668, in urlopen\n **response_kw)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 668, in urlopen\n **response_kw)\n [Previous line repeated 2 more times]\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/connectionpool.py\", line 639, in urlopen\n _stacktrace=sys.exc_info()[2])\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/urllib3-1.22-py2.py3-none-any.whl/urllib3/util/retry.py\", line 388, in increment\n raise MaxRetryError(_pool, url, error or ResponseError(cause))\nurllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='localhost', port=80): Max retries exceeded with url: /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff8d2b552e8>: Failed to establish a new connection: [Errno 111] Connection refused',))\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/basecommand.py\", line 215, in main\n status = self.run(options, args)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/commands/install.py\", line 353, in run\n wb.build(autobuilding=True)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/wheel.py\", line 749, in build\n self.requirement_set.prepare_files(self.finder)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/req/req_set.py\", line 380, in prepare_files\n ignore_dependencies=self.ignore_dependencies))\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/req/req_set.py\", line 554, in _prepare_file\n require_hashes\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/req/req_install.py\", line 278, in populate_link\n self.link = finder.find_requirement(self, upgrade)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 465, in find_requirement\n all_candidates = self.find_all_candidates(req.name)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 423, in find_all_candidates\n for page in self._get_pages(url_locations, project_name):\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 568, in _get_pages\n page = self._get_page(location)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 683, in _get_page\n return HTMLPage.get_page(link, session=self.session)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/index.py\", line 792, in get_page\n \"Cache-Control\": \"max-age=600\",\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/sessions.py\", line 533, in get\n return self.request('GET', url, **kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/lib/python3.6/site-packages/pip/download.py\", line 386, in request\n return super(PipSession, self).request(method, url, *args, **kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/sessions.py\", line 520, in request\n resp = self.send(prep, **send_kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/sessions.py\", line 630, in send\n r = adapter.send(request, **kwargs)\n File \"/openstack/venvs/rally-20.1.1.dev1/share/python-wheels/requests-2.18.4-py2.py3-none-any.whl/requests/adapters.py\", line 508, in send\n raise ConnectionError(e, request=request)\npip._vendor.requests.exceptions.ConnectionError: HTTPConnectionPool(host='localhost', port=80): Max retries exceeded with url: /os-releases/20.1.1.dev1/ubuntu-18.04-x86_64 (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff8d2b552e8>: Failed to establish a new connection: [Errno 111] Connection refused',))\n"}

PLAY RECAP ******************************************************************************************************************************************
compute1 : ok=162 changed=18 unreachable=0 failed=0 skipped=191 rescued=0 ignored=0
compute2 : ok=157 changed=18 unreachable=0 failed=0 skipped=181 rescued=0 ignored=0
infra1 : ok=47 changed=28 unreachable=0 failed=0 skipped=44 rescued=0 ignored=0
infra1_cinder_api_container-7f7238e2 : ok=93 changed=53 unreachable=0 failed=0 skipped=86 rescued=0 ignored=0
infra1_glance_container-df52e8c6 : ok=78 changed=45 unreachable=0 failed=0 skipped=64 rescued=0 ignored=0
infra1_heat_api_container-e3c5852d : ok=75 changed=49 unreachable=0 failed=0 skipped=70 rescued=0 ignored=0
infra1_horizon_container-3cd6afb1 : ok=40 changed=27 unreachable=0 failed=0 skipped=7 rescued=0 ignored=0
infra1_keystone_container-7a5c54d2 : ok=99 changed=48 unreachable=0 failed=0 skipped=71 rescued=0 ignored=0
infra1_neutron_server_container-8fc019e8 : ok=66 changed=40 unreachable=0 failed=0 skipped=42 rescued=0 ignored=0
infra1_nova_api_container-6f933c68 : ok=113 changed=56 unreachable=0 failed=0 skipped=90 rescued=0 ignored=0
infra1_placement_container-b5aed3c9 : ok=46 changed=29 unreachable=0 failed=0 skipped=58 rescued=0 ignored=0
infra1_utility_container-ec66b2a9 : ok=34 changed=21 unreachable=0 failed=1 skipped=1 rescued=0 ignored=0
infra2 : ok=45 changed=28 unreachable=0 failed=0 skipped=34 rescued=0 ignored=0
infra2_cinder_api_container-bf43a3a6 : ok=78 changed=43 unreachable=0 failed=0 skipped=90 rescued=0 ignored=0
infra2_glance_container-4232d82c : ok=63 changed=36 unreachable=0 failed=0 skipped=69 rescued=0 ignored=0
infra2_heat_api_container-3af706d5 : ok=60 changed=37 unreachable=0 failed=0 skipped=50 rescued=0 ignored=0
infra2_horizon_container-07285ab1 : ok=36 changed=25 unreachable=0 failed=0 skipped=7 rescued=0 ignored=0
infra2_keystone_container-54848e4f : ok=68 changed=32 unreachable=0 failed=0 skipped=76 rescued=0 ignored=0
infra2_neutron_server_container-bf7b3d6d : ok=50 changed=29 unreachable=0 failed=0 skipped=38 rescued=0 ignored=0
infra2_nova_api_container-0a9e7658 : ok=94 changed=46 unreachable=0 failed=0 skipped=96 rescued=0 ignored=0
infra2_placement_container-56b51475 : ok=38 changed=23 unreachable=0 failed=0 skipped=33 rescued=0 ignored=0
infra2_utility_container-f893f7cd : ok=17 changed=9 unreachable=0 failed=1 skipped=0 rescued=0 ignored=0
infra3 : ok=47 changed=28 unreachable=0 failed=0 skipped=44 rescued=0 ignored=0
infra3_cinder_api_container-3b23956c : ok=83 changed=46 unreachable=0 failed=0 skipped=67 rescued=0 ignored=0
infra3_glance_container-ca373371 : ok=61 changed=36 unreachable=0 failed=0 skipped=49 rescued=0 ignored=0
infra3_heat_api_container-24e97771 : ok=60 changed=37 unreachable=0 failed=0 skipped=50 rescued=0 ignored=0
infra3_horizon_container-e21690ef : ok=36 changed=24 unreachable=0 failed=0 skipped=7 rescued=0 ignored=0
infra3_keystone_container-10e125b1 : ok=68 changed=32 unreachable=0 failed=0 skipped=49 rescued=0 ignored=0
infra3_neutron_server_container-c7adacc2 : ok=50 changed=29 unreachable=0 failed=0 skipped=38 rescued=0 ignored=0
infra3_nova_api_container-5102f779 : ok=92 changed=46 unreachable=0 failed=0 skipped=75 rescued=0 ignored=0
infra3_placement_container-7cd7982d : ok=38 changed=23 unreachable=0 failed=0 skipped=33 rescued=0 ignored=0
infra3_utility_container-c611b756 : ok=17 changed=9 unreachable=0 failed=1 skipped=0 rescued=0 ignored=0
localhost : ok=4 changed=2 unreachable=0 failed=0 skipped=6 rescued=0 ignored=0

EXIT NOTICE [Playbook execution failure] **************************************
===============================================================================

hashem (hashem67) on 2020-04-11
description: updated
Changed in openstack-ansible:
assignee: nobody → hashem (hashem67)
assignee: hashem (hashem67) → nobody
Deepa (dpaclt) wrote :

Any update on this bug.We are also receiving same error while deployment

Anabi Arkan (arkan78) wrote :

Hi, I'm also receiving the same error

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers